#ifndef CALL_H
#define CALL_H

#include <resip/dum/AppDialogSet.hxx>
#include "RTPObserver.h"
#include "RTPSession.h"

class Call: public resip::AppDialogSet, public IRTPSessionObserver{
private:
    friend class CallManager;

    resip::ServerInviteSession* mServerInviteSession;
    

    RTPSession *mRtpSession;
    std::list<RTPObserver*> mRtpObservers;
    bool mIncomming;
    std::string mDigitQueue;    


public:
	Call(resip::DialogUsageManager &dum);
	~Call();

    void addRTPObserver(RTPObserver *obs);

    void onSoundQueueEmpty();
    void setRTPSession(RTPSession *rtpSession);

    RTPSession* getRTPSession();

    bool isIncomming();
    void setIncomming(bool i);

    std::string getDigitQueue();
    void clearDigitQueue();

};

#endif

