#ifndef WAKEUPCALLSERVICE_H
#define WAKEUPCALLSERVICE_H
#include "CallManager.h"
#include "CallObserver.h"
#include <list>
#include <map>
#include "WakeupCall.h"
#include "IVR/IVR.h"

class WakeupCallService: public CallObserver, public RTPObserver{
private:
    std::map<std::string,WakeupCall*> mWakeupCalls;
    std::map<Call*,IVR*> mIVRMap;
public:
	WakeupCallService(CallManager *callManager);
	~WakeupCallService();

    void work();

    void onRTPSessionSoundQueueEmpty(Call *call);
    void onCallTerminated(Call *call);
    void onCallAnswered(Call *call);
    void onCallFailed(Call *call);
    void onIncommingCallAnswered(Call *call);
    void onIncommingCall(Call *call);
    void onDTMF(Call *call,std::string digit);

    void addWakeupCall(WakeupCall *wc);

private:
    CallManager *mCallManager;
    time_t buildTime(int h, int m);
    bool test;

};

#endif

