#include "UserAgent.h"
#include "WakeupCallService.h"
#include "config.h"

int main(int argc, char **argv)
{
    AccountSettings account;
  
    std::string localIP=LISTENADDRESS;

    account.mUserName = ACCOUNT_USERNAME;
    account.mPin = ACCOUNT_PASSWORD;
    account.mProxy = ACCOUNT_PBX_IP;
    account.mDisplayName = ACCOUNT_DISPLAY_NAME;
    UserAgent ua(account,ACCOUNT_USERAGENT);
    ua.registerAccount();

    
    RTPSessionFactory rtpSessionFactory;
    rtpSessionFactory.setLocalIP(localIP);
    CallManager callManager(&ua,&rtpSessionFactory);
    WakeupCallService wakeupCallService(&callManager);

    while (1){
        ua.work();
        wakeupCallService.work();
    }


    //TODO: Cleanup
}
